<template>
  <BasicLayout title="Coming Soon">
    <p>
      Indent.Cloud is currently growing and not all features will be available at the start.
    </p>
    <p>
      Current <strong>{{ this.$route.name }}</strong> status: <b-badge :variant="statusVariant">{{ statusText }}</b-badge>
    </p>

    <b-button block variant="primary" to="/">Back Home</b-button>
  </BasicLayout>
</template>

<script>
import BasicLayout from '@/components/Layout/BasicLayout.vue'

export default {
  name: 'WorkInProgress',
  components: {
    BasicLayout
  },
  props: ['statusVariant', 'statusText']
}
</script>
